// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.exception;

import bdc.scheme.SchemeException;
import bdc.util.Constants;
import bdc.util.Fmt;

public class ParseException extends SchemeException
{
    String location;
    int    lineno;
    String message;

    public ParseException (String location, int lineno, String message)
    {
        this.location = location;
        this.lineno   = lineno;
        this.message  = message;
    }

    public String toString ()
    {
        return Fmt.S("Error: %s(%s): %s",
                     location, Constants.getInteger(lineno), message);
    }
}
