// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.Stack;
import bdc.scheme.Scheme;
import bdc.scheme.Symbol;
import bdc.scheme.exception.ArgumentTypeException;
import bdc.scheme.expression.Procedure1;

/**
    (string->symbol s)
*/
public class String2Symbol extends Procedure1
{
    public Object apply1 (Stack stack) throws ArgumentTypeException
    {
        Object o1 = stack.array[stack.inUse-1];
        return Symbol.get(Scheme.string(o1, this));
    }
}
