// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.Stack;
import bdc.scheme.expression.Procedure1;
import bdc.scheme.Scheme;
import bdc.scheme.SchemeException;

/**
    Primitive for Hashtable.elements
*/
public class HashtableElements extends Procedure1
{
    public Object apply1 (Stack stack) throws SchemeException
    {
        Object o1 = stack.array[stack.inUse-1];
        return Scheme.hashtable(o1, this).elements();
    }
}
