// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.SchemeException;
import bdc.scheme.Stack;
import bdc.scheme.expression.Procedure2;

/**
    Primitive for Object.equals
*/
public class JavaEquals extends Procedure2
{
    public Object apply2 (Stack stack) throws SchemeException
    {
        Object o1 = stack.array[stack.inUse-1];
        Object o2 = stack.array[stack.inUse-2];
        if (o1.equals(o2)) {
            return Boolean.TRUE;
        }
        return Boolean.FALSE;
    }
}
