// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.Scheme;
import bdc.scheme.SchemeException;
import bdc.scheme.Stack;
import bdc.scheme.expression.Procedure1;
import java.io.PrintWriter;

/**
    (set-current-output-port port)
*/
public class SetCurrentOutputPort extends Procedure1
{
    public Object apply1 (Stack stack) throws SchemeException
    {
        Object o1 = stack.array[stack.inUse-1];

        PrintWriter port = Scheme.printWriter(o1, this);
        stack.currentOutputPort = port;
        return Scheme.Unspecified;
    }
}
