// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.Scheme;
import bdc.scheme.SchemeException;
import bdc.scheme.Stack;
import bdc.scheme.exception.PrimitiveException;
import bdc.scheme.expression.Procedure1;

/**
    (throw x)
*/
public class Throw extends Procedure1
{
    public Object apply1 (Stack stack) throws SchemeException
    {
        Object o1 = stack.array[stack.inUse-1];
        throw new PrimitiveException(Scheme.throwable(o1, this));
    }
}
